import greenfoot.GreenfootImage;
import java.awt.image.BufferedImage;
import java.awt.Graphics2D;

/**
 * SliceWall
 * 
 * @author Taylor Born
 * @version October 2013
 */
public abstract class SliceWall extends DynamicWall
{
    public static int progress;
//     public static double getProgress(int totalWalls)
//     {
//         return progress / (double)(totalWalls * SIZE);
//     }
// 
    private int[] sliceRefs = new int[SIZE];
// 
//     public SliceWall(String file)
//     {
//         this(new GreenfootImage(file), Slice.MAX_WALL_SCALE);
//     }
    public SliceWall(GreenfootImage p, int maxScale)
    {
        super(p);
        for (int i = 0; i < sliceRefs.length; i++)
        {
            GreenfootImage slice = new GreenfootImage(1, SIZE);
            slice.drawImage(pic, -i, 0);
            sliceRefs[i] = Slice.submitSlice(slice, maxScale);
            if (getSlice(i).isWindow())
                window = true;
            progress++;
        }
    }
//     public void draw(BufferedImage bufferedImage, int columnInImage, int c, int y, int height)
//     {
//         if (height * 2 > Slice.MAX_WALL_SCALE)
//             super.draw(bufferedImage, columnInImage, c, y, height);
//         int x = c % (Screen.WIDTH / 2);
//         getSlice(columnInImage).draw((Graphics2D)bufferedImage.getGraphics(), x, y, height * 2);
//     }
//     public boolean isWindow(int slice)
//     {
//         return getSlice(slice).isWindow();
//     }
    private Slice getSlice(int i)
    {
        return Slice.getSlice(sliceRefs[i]);
    }
}