import greenfoot.GreenfootImage;
import java.awt.image.BufferedImage;
// import java.awt.Color;

/**
 * Wall
 * 
 * @author Taylor Born
 * @version September 2013
 */
public abstract class Wall 
{
    public static final int SIZE = 100;

    protected GreenfootImage pic;
    protected boolean window;

//     public Wall(GreenfootImage p)
//     {
//         pic = p;
//     }
    

    public Wall(GreenfootImage pic)
    {
        this.pic = pic;
    }
    public abstract boolean isWindow(int column);
//     {
//         return windows[column];
//     }
    public GreenfootImage getPic()
    {
        return pic;
    }
    public boolean isWindow()
    {
        return window;
    }
    public String save()
    {
        return (Map.main.getWallIndex(this) + 1) + "";
    }
    
    public boolean isBarrier()
    {
        return true;
    }
    
//     public abstract boolean isWindow(int column);
    
    public abstract void draw(FastImage fastImage, int columnInImage, int c, int y, int height, int fade);
    
}